Subject: bug#40055: closed (Re: bug#40055: 27.0.90; fido-mode cannot select Info's index topic completions)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 14 Mar 2020 09:47:01 +0000

Your bug report

#40055: 27.0.90; fido-mode cannot select Info's index topic completions

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40055: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40055
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#40055: 27.0.90; fido-mode cannot select Info's index topic completions
From: Dmitry Gutov <[email-masked]>
To: Eli Zaretskii <[email-masked]>, Bodertz <[email-masked]>
Cc: [email-masked]
Date: Sat, 14 Mar 2020 11:46:42 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On 14.03.2020 10:03, Eli Zaretskii wrote:
> With today's emacs-27 I cannot reproduce this, so I guess the bug was
> meanwhile fixed.

Neither can I. So we probably fixed this when working on bug#38992.

Bodertz, thanks for the report, let us know if anything is still amiss 
in the current emacs-27.

Closing.

Subject: 27.0.90; fido-mode cannot select Info's index topic completions
From: Bodertz <[email-masked]>
To: [email-masked]
Date: Fri, 13 Mar 2020 14:58:03 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Recipe:
emacs -Q
M-x fido-mode RET
C-h i m Emacs RET
i zoo RET RET RET C-j TAB TAB C-j RET ... C-g

M-x fido-mode RET
i zoo RET

As I hope is clear from the example above, with fido-mode enabled, I
cannot select Info's index topics.

With fido-mode disabled, I can.

In GNU Emacs 27.0.90 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.14)
of 2020-03-04 built on flavia
Windowing system distributor 'The X.Org Foundation', version 11.0.12007000
System Description: openSUSE Tumbleweed

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Fido mode enabled
You can run the command ‘fido-mode’ with M-x fid RET
Fido mode enabled
Composing main Info directory...done
Quit
Configured using:
'configure --prefix=/home/bodertz/opt/emacs/'

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND DBUS GSETTINGS GLIB NOTIFY INOTIFY
LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ XFT ZLIB TOOLKIT_SCROLL_BARS
GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD JSON PDUMPER GMP

Important settings:
value of $LC_ALL: en_US.utf8
value of $LC_CTYPE: en_US.UTF-8
value of $LANG: en_US.UTF-8
value of $XMODIFIERS: @im=local
locale-coding-system: utf-8-unix

Major mode: Info

Minor modes in effect:
icomplete-mode: t
fido-mode: t
tooltip-mode: t
global-eldoc-mode: t
electric-indent-mode: t
mouse-wheel-mode: t
tool-bar-mode: t
menu-bar-mode: t
file-name-shadow-mode: t
global-font-lock-mode: t
font-lock-mode: t
blink-cursor-mode: t
auto-composition-mode: t
auto-encryption-mode: t
auto-compression-mode: t
buffer-read-only: t
line-number-mode: t
transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml mml-sec password-cache epa derived epg epg-config
gnus-util rmail rmail-loaddefs text-property-search time-date subr-x seq
byte-opt gv bytecomp byte-compile cconv mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs cl-lib
sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
mule-util jka-compr info easymenu cus-start cus-load icomplete tooltip
eldoc electric uniquify ediff-hook vc-hooks lisp-float-type mwheel
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core term/tty-colors frame minibuffer cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind
inotify dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 78982 7005)
(symbols 48 7318 1)
(strings 32 22442 1831)
(string-bytes 1 636337)
(vectors 16 11560)
(vector-slots 8 145859 6740)
(floats 8 29 524)
(intervals 56 4463 0)
(buffers 1000 12))